# Record TCefCommandHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefCommandHandler = record`

## Description

Implement this structure to handle events related to commands. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefCommandHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_command_handler_capi.h">CEF source file: /include/capi/cef_command_handler_capi.h (cef_command_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_chrome_command: function(self: PCefCommandHandler; browser: PCefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): Integer; stdcall;`
| `is_chrome_app_menu_item_visible: function(self: PCefCommandHandler; browser: PCefBrowser; command_id: integer): integer; stdcall;`
| `is_chrome_app_menu_item_enabled: function(self: PCefCommandHandler; browser: PCefBrowser; command_id: integer): integer; stdcall;`
| `is_chrome_page_action_icon_visible: function(self: PCefCommandHandler; icon_type: TCefChromePageActionIconType): integer; stdcall;`
| `is_chrome_toolbar_button_visible: function(self: PCefCommandHandler; button_type: TCefChromeToolbarButtonType): integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_chrome_command: function(self: PCefCommandHandler; browser: PCefBrowser; command_id: integer; disposition: TCefWindowOpenDisposition): Integer; stdcall;`
This item has no description.

| `is_chrome_app_menu_item_visible: function(self: PCefCommandHandler; browser: PCefBrowser; command_id: integer): integer; stdcall;`
This item has no description.

| `is_chrome_app_menu_item_enabled: function(self: PCefCommandHandler; browser: PCefBrowser; command_id: integer): integer; stdcall;`
This item has no description.

| `is_chrome_page_action_icon_visible: function(self: PCefCommandHandler; icon_type: TCefChromePageActionIconType): integer; stdcall;`
This item has no description.

| `is_chrome_toolbar_button_visible: function(self: PCefCommandHandler; button_type: TCefChromeToolbarButtonType): integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.